#!/bin/sh

MESSAGE=`installation_sources -a "$*"`

if echo "$MESSAGE" | grep -q ERROR; then
 /opt/kde3/bin/kdialog --error "$MESSAGE"
else
 /opt/kde3/bin/kdialog --msgbox \
   "`TEXTDOMAINDIR=/opt/kde3/share/locale/ gettext -d kdebase-SUSE -s "YaST source added."`"
fi
